using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Arrays
{
    class Examples11_13
    {
        public static void VariableArgumentsForWriteLine()
        {
            // Listing 5-11
            Console.WriteLine("PI: {0}. Pierwiastek kwadratowy z 2: {1}", Math.PI, Math.Sqrt(2));
            Console.WriteLine("Aktualny data i godzina: {0}", DateTime.Now);
            Console.WriteLine("{0}, {1}, {2}, {3}, {4}", 1, 2, 3, 4, 5);

        }

        public static void ExplicitArguments()
        {
            // Listing 5-12
            Console.WriteLine("{0}, {1}, {2}, {3}, {4}", new object[] { 1, 2, 3, 4, 5 });
        }

        // Kod umieszczony w komentarzach gdyż reprezentuje możliwość dostępną
        // w bibliotece klas, dlatego takiej metody nigdy nie napiszemy.
        // Listing 5-13
        //public static void WriteLine(string format, params object[] arg)
    }
}
